/*****************************************************************************
* File:       		pds_util.h
* Programmer: 		Dorian Winterfeld
*			Anne Raugh
* Institution:   	DS/Small Bodies Node
*               	University of Maryland
* Date:		        Feb. 20, 1995
* Last Revision:
* Abstract: 		Support routines for PDS to FITS translator program.
* Description: 	This file contains all the miscilenious support routine
*						used by other modules.
******************************************************************************/

#ifndef UTL_HDR
#define UTL_HDR

#include "linklist.h"
#include "fits_obj.h"

void close_files(void);
int parse_arguments(int argc,char *argv[],char *PDS_filename,
		    char *table_filename,char *FITS_filename,
                    char *reserved_filename,
		    char **dd_path,char **std_path);
int skip_blanks(FILE *file, char *line);
int split_pds_line(char *line, char *key, char *value);
char *eat_white(char *string);
void print_error(int status);
void print_header(char *name);
int make_path(char *path, char *file,char *result);
int Nto1(char *Pstr,char *Fstr);
int NtoN(char *Pstr,char *Fstr);
int one_to_N(char *Pstr,char *Fstr);
int sub_strcpy(char *dest, char *src, int start,int dest_len);
int cpy_to_substr(char *dest, char *src, int start,int max);
int strip_quotes(char *str);
void build_reserved_list(list_type *reserved_list);
long  search_PDSDD(char *keyword);
long search_index(char *target,char *record);
int get_PDS_type(char *type);
long fsize(FILE *file);
int p2f_date(char *date,char *fits_date);
int p2f_time(char *pds_time,char *fits_time);
int date_or_time(FITS_keyword *key, char *new_name);
int check_length(char *FITS_string);




#endif

