/************************************************************************
* File: error.h
* Abstract: Contains all error and warning message codes.
*************************************************************************/

#define TRUE	1 					  /* logical TRUE */
#define FALSE	0                /* logical FALSE */
#define PRE    0					  /* used in attaching literal string */
#define POST   1                /* to FITS value */
#define SYNTAX_WARNING 7        /* incorrent sybtax in translation table */
#define TYPE_WARNING  6         /* inconsistent data type */
#define VALUE_WARNING 5         /* PDS keyword w/ NULL value field */
#define TRUE_WARNING  4         /* FITS file with SIMPLE = F */
#define RANGE_WARNING 3         /* PDS value out of range */
#define WARNING       2         /* generic warning */
#define OK            1         /* everything is OK */
#define ERROR         0         /* generic error */
#define MALLOC_ERROR -1         /* out of memory - bad*/
#define DATE_ERROR   -2         /* bogus date format detected */
#define SIMPLE_ERROR -3         /* FITS file with no SIMPLE keyword */
#define SWITCH_ERROR_1	-4      /* invalid switch in command line argument */
#define SWITCH_ERROR_2  -5      /* missing switch argument */
#define ARG_ERROR    -6         /* too few command line arguments */
#define ARG_ERROR_2  -7         /* missind required command line argument */
#define FORMAT_ERROR -8         /* fatal format error */
#define FILE_ERROR   -9         /* failure to open file */
#define EOF_ERROR    -10        /* end of file error */
#define STD_ERROR    -11        /* failure to open standard Translation table*/
#define EXTENSION_ERROR -12     /* unrecognized FITS extension */
#define SWITCH_DESC  -13        /* print description of switches */
#define FITS_ERROR	-14		  /* can't open FITS file */
#define TBL_ERROR    -15		  /* can't open translation table */
#define PDS_ERROR    -16        /* can't open PDS label */
#define PDSDD_ERROR  -17        /* can't open PDSDD */
#define INDEX_ERROR  -18        /* can't open PDSDD index file */
#define LOG_ERROR    -19        /* can't open error log file */
#define FITS_LEN_ERROR -20      /* FITS keyword too long */
#define RES_ERROR     -21       /* can't open reserved keyword file */

